Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configuration
Interface IConfiguredSite

All Superinterfaces:
  IAdaptable

public interface IConfiguredSite
extends IAdaptable

Configured Site. Represents an installation site "filtered" by configuration information. Configured site is the target of the feature update operations (install feature, remove feature, configure feature, unconfigure feature).

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`void` | `addConfiguredSiteChangedListener(IConfiguredSiteChangedListener listener)` Adds a change listener to the configured site.
`void` | `configure(IFeature feature)` Configure the specified feature on this site.
`IStatus` | `getBrokenStatus(IFeature feature)` Indicates if the specified feature is "broken".
`IFeatureReference[]` | `getConfiguredFeatures()` Return references to features configured on this site.
`IFeatureReference[]` | `getFeatureReferences()` Return all features installed on this site (configured as well as unconfigured).
`IInstallConfiguration` | `getInstallConfiguration()` Returns the install configuration object this site is part of.
`ISite` | `getSite()` Returns the underlying "unfiltered" site.
`IFeatureReference` | `install(IFeature feature, IFeatureReference[] optionalFeatures, IVerificationListener verificationListener, IProgressMonitor monitor)` Install the specified feature on this site.
`IFeatureReference` | `install(IFeature feature, IVerificationListener verificationListener, IProgressMonitor monitor)` Install the specified feature on this site.
`boolean` | `isConfigured(IFeature feature)` Indicates if the specified feature is configured on this site.
`boolean` | `isEnabled()` Indicates if the site is enabled.
`boolean` | `isExtensionSite()` Indicates if the site is an extension site.
`boolean` | `isNativelyLinked()` Indicates if the site has been linked by a native installer.
`boolean` | `isPrivateSite()` Deprecated. private site are considered the same as extension site (3.0)
`boolean` | `isProductSite()` Indicates if the site is a product site.
`boolean` | `isUpdatable()` Indicates whether updates can be applied to the site.
`void` | `remove(IFeature feature, IProgressMonitor monitor)` Remove (uninstall) the specified feature from this site
`void` | `removeConfiguredSiteChangedListener(IConfiguredSiteChangedListener listener)` Removes a change listener from the configured site.
`void` | `setEnabled(boolean value)` Sets if the site is enabled
`boolean` | `unconfigure(IFeature feature)` Unconfigure the specified feature from this site.
`IStatus` | `verifyUpdatableStatus()` Indicates whether updates can be applied to the site.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getSite

    public ISite getSite()

  Returns the underlying "unfiltered" site.

  Returns:
    the underlying site
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### verifyUpdatableStatus

    public IStatus verifyUpdatableStatus()

  Indicates whether updates can be applied to the site. `IStatus.isOk()` return `true` if the site can be updated, `false` otherwise. If updates cannot be aplied, the status contains the error message, and the possible exception.

  Returns:
    an IStatus
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `IStatus`

### isUpdatable

    public boolean isUpdatable()

  Indicates whether updates can be applied to the site. A configuration site is tagged a non-updatable by reading the platform configuration for this site.

  Returns:
    `true` if the site can be updated, `false` otherwise
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### install

    public IFeatureReference install(IFeature feature,
                                     IVerificationListener verificationListener,
                                     IProgressMonitor monitor)
                              throws CoreException

  Install the specified feature on this site.

  Parameters:
    `feature` - feature to install
    `verificationListener` - verification listener, or `null`
    `monitor` - progress monitor, or `null`
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### install

    public IFeatureReference install(IFeature feature,
                                     IFeatureReference[] optionalFeatures,
                                     IVerificationListener verificationListener,
                                     IProgressMonitor monitor)
                              throws CoreException

  Install the specified feature on this site. Only the specified optional features will be installed

  Parameters:
    `feature` - feature to install
    `optionalFeatures` - optional features to install
    `verificationListener` - verification listener, or `null`
    `monitor` - progress monitor, or `null`
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### remove

    public void remove(IFeature feature,
                       IProgressMonitor monitor)
                throws CoreException

  Remove (uninstall) the specified feature from this site

  Parameters:
    `feature` - feature to remove
    `monitor` - progress monitor, or `null`
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getBrokenStatus

    public IStatus getBrokenStatus(IFeature feature)

  Indicates if the specified feature is "broken". A feature is considered to be broken in the context of this site, if some of the plug-ins referenced by the feature are not installed on this site. The status code is `IStatus.ERROR` if the feature is considered broken. The Status may contain the reason why the feature is broken. The status code is `IStatus.OK` if the feature is not considered broken.

  Parameters:
    `feature` - the feature
  Returns:
    the status for this feature on this configured site
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### isConfigured

    public boolean isConfigured(IFeature feature)

  Indicates if the specified feature is configured on this site.

  Parameters:
    `feature` - the feature
  Returns:
    `true` if the feature is configured, `false` otherwise
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### configure

    public void configure(IFeature feature)
                   throws CoreException

  Configure the specified feature on this site. The configured feature will be included on next startup.

  Parameters:
    `feature` - the feature
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### unconfigure

    public boolean unconfigure(IFeature feature)
                        throws CoreException

  Unconfigure the specified feature from this site. The unconfigured feature will be omitted on the next startup.

  Parameters:
    `feature` - the feature
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getConfiguredFeatures

    public IFeatureReference[] getConfiguredFeatures()

  Return references to features configured on this site.

  Returns:
    an array of feature references, or an empty array.
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getFeatureReferences

    public IFeatureReference[] getFeatureReferences()

  Return all features installed on this site (configured as well as unconfigured). Note, that if the site requires reconciliation, the result may not match the result of the corresponding method on the underlying site.

  Returns:
    an array of site feature references, or an empty array.
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `ISite.getFeatureReferences()`

### getInstallConfiguration

    public IInstallConfiguration getInstallConfiguration()

  Returns the install configuration object this site is part of.

  Returns:
    install configuration object
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### addConfiguredSiteChangedListener

    public void addConfiguredSiteChangedListener(IConfiguredSiteChangedListener listener)

  Adds a change listener to the configured site.

  Parameters:
    `listener` - the listener to add
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### removeConfiguredSiteChangedListener

    public void removeConfiguredSiteChangedListener(IConfiguredSiteChangedListener listener)

  Removes a change listener from the configured site.

  Parameters:
    `listener` - the listener to remove
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### isExtensionSite

    public boolean isExtensionSite()

  Indicates if the site is an extension site.

  Returns:
    `true` if the site is an extension site, `false` otherwise
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### isProductSite

    public boolean isProductSite()

  Indicates if the site is a product site.

  Returns:
    `true` if the site is a product site, `false` otherwise
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### isPrivateSite

    public boolean isPrivateSite()

  Deprecated. private site are considered the same as extension site (3.0)

  Indicates if the site is a private site. This does not check if this private site belongs to the product that is running.

  Returns:
    `true` if the site is a private site, `false` otherwise
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### isNativelyLinked

    public boolean isNativelyLinked()
                             throws CoreException

  Indicates if the site has been linked by a native installer.

  Returns:
    `true` if the site is a natively linked site, `false` otherwise
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### setEnabled

    public void setEnabled(boolean value)

  Sets if the site is enabled

  Since:
    2.1

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### isEnabled

    public boolean isEnabled()

  Indicates if the site is enabled. If a site is not enable, all teh features are considered disabled.

  Returns:
    `true` if the site is enable, `false` otherwise
  Since:
    2.1

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.